xpra icon
Bug tracker and wiki

Opened 6 years ago

Closed 6 years ago

#635 closed enhancement (fixed)

(py)gtkglext for centos7

Reported by: Antoine Martin Owned by: Antoine Martin
Priority: minor Milestone: 0.15
Component: platforms Version: trunk
Keywords: centos7 Cc:

Description

Centos 7 is a good recent platform, and now well supported (see #606 and #613), we just need to package gtkglext and pygtkglext to be able to support opengl client rendering.

Attachments (4)

gtkglext.spec (5.8 KB) - added by Antoine Martin 6 years ago.
specfile from Fedora for gtkglext
pygtkglext.spec (4.5 KB) - added by Antoine Martin 6 years ago.
specfile from Fedora for pygtkglext
pangox-compat.spec (2.0 KB) - added by Antoine Martin 6 years ago.
pangox-compat is needed for building gtkglext
CentOS7-opengl.png (247.0 KB) - added by Antoine Martin 6 years ago.
shows opengl working on centos7 vm

Download all attachments as: .zip

Change History (5)

Changed 6 years ago by Antoine Martin

Attachment: gtkglext.spec added

specfile from Fedora for gtkglext

Changed 6 years ago by Antoine Martin

Attachment: pygtkglext.spec added

specfile from Fedora for pygtkglext

Changed 6 years ago by Antoine Martin

Attachment: pangox-compat.spec added

pangox-compat is needed for building gtkglext

Changed 6 years ago by Antoine Martin

Attachment: CentOS7-opengl.png added

shows opengl working on centos7 vm

comment:1 Changed 6 years ago by Antoine Martin

Resolution: fixed
Status: newclosed

With the spec files above, I have successfully built pangox-compat, gtkglext-libs and pygtkglext.
The http://xpra.org/beta area contains these rpms and also PyOpenGL + PyOpenGL_accelerate. This should be enough to enable opengl on centos7 clients.

Tested on virtualbox VM.

I've pushed the rpms to stable, but without the dependency added in r7430.
So users can install opengl manually for now, and it will be part of 0.15 release by default.

Note: See TracTickets for help on using tickets.